<?php
  // inclusion unique
  // connexion au serveur mySQL et selection de la base "magasin"
  require_once('connexion.inc');

/* 
 Ouverture de la session

 - si l'utilisateur n'est pas connu : 
      initialisation de la session par envoie d'un cooky identifiant
 - si l'utilisateur est reconnu : 
      les variables de session sont reprises 
      depuis un fichier correspondant  l'utilisateur 
      dans les super-globales $_SESSION
*/
session_start();

// importation des variables envoyes par le formulaire
import_request_variables('p', 'post_');

// si une commande est passe
if (isset($post_command)) {
  // destruction de la session lors de la commande
  session_destroy();
  // la commande est remise  zero
  $_SESSION = "";
} else 
  // si script en mode traitement, ajout des nouvelles donnes
  if (isset($post_nouveau) && isset($post_quantite)) {
    if ( $post_nouveau && $post_quantite) {
      $_SESSION['nom'][]      = $post_nouveau;
      $_SESSION['quantite'][] = $post_quantite;
    }
  } 
?>

<!DOCTYPE html>
<html>

  <head>
    <title>Magasin</title>
    <link rel="stylesheet" href="table.css" />
  </head>

<body>

<div>

    <!-- affiche le contenu du magasin sous forme de tableau -->
<?php
   $requete = mysql_query("select * from magasin;", $connexion);

   // nombre de champs
   $num_fields = mysql_num_fields($requete);

   // nom des champs
   for($j=0; $j < $num_fields; $j++)
   {
     $nom[] = mysql_field_name( $requete, $j);
   }

   // creation du tableau
   echo "<table>\n";
   echo "<caption>Contenu de la table magasin</caption>\n";

   // les entetes du tableau
   echo "<thead>\n";
   echo "\t<tr>\n";
   for($j=0; $j < $num_fields; $j++)
   {
     echo "\t\t<th>{$nom[$j]}</th>\n";
   }
   echo "\t</tr>\n";
   echo "</thead>\n";

   // le corps du tableau
   echo "<tbody>\n";
   while ($ligne_result = mysql_fetch_row($requete))
   {
     echo "\t<tr>\n";
     for($j=0; $j < $num_fields; $j++)
       {
	 echo "\t\t<td>{$ligne_result[$j]}</td>\n";
       }
     echo "\t</tr>\n";
   }
   echo "</tbody>\n";
   
   // fin du tableau
   echo "</table>\n";
?>

   <!-- Partie achat : formulaire pour remplir le panier et commander -->
   <fieldset>
     <legend>commande</legend>
     <form action="achat.php" method="post">
       <div>
     
	 <!-- selection parmi la liste des produitts  acheter -->
	 produit : 
	 <select name="nouveau">
	   <?php
	      $requete = mysql_query("select * from magasin;", $connexion);
	      
	      // nombre de champs
	      $num_fields = mysql_num_fields($requete);
	      
	      while ($ligne_result = mysql_fetch_object($requete)) {
	        echo "\t<option>{$ligne_result->nom}</option>\n";
	      }
	   ?>
	 </select>
	 <br />

	 quantit&eacute; : <input type="text" name="quantite" />

	 <br />
	 <input type="submit" value="ajoutez"   name="submit" />
	 <input type="submit" value="commander" name="command" />
       </div>
     </form>
   </fieldset>

   <div> 
     Panier : 
   </div>

   <table>
     <thead>
       <tr>
	 <th>nom</th>
	 <th>quantit&eacute;</th>
       </tr>
     </thead>
     <tbody>
       <?php
	  // parcours des variables de session
	  if (isset($_SESSION['nom'])) {
	    $n = sizeof($_SESSION['nom']);
	    for($i = 0; $i < $n; $i++) {
              echo "<tr><td>" . $_SESSION['nom'][$i] . "</td><td>" . $_SESSION['quantite'][$i] . "</td></tr>\n";
            }
	  } else
            echo "<tr><td colspan='2'>vous n'avez rien dans le panier.</td></tr>\n";
       ?>
	  </tbody>
   </table>

</div>

</body>

</html>
